Package org.apache.cxf.continuations

# Interface ContinuationCallback

public interface ContinuationCallback
Callback that receives continuation status updates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onComplete()`
  This method is called when the container completes writing the response to the client
  `void`
  `onDisconnect()`
  This method may be called if the container detects that the client has disconnected
  `void`
  `onError(Throwable error)`
  This method is called when the exception gets propagated to the container

- ## Method Details

  - ### onComplete

    void onComplete()
    This method is called when the container completes writing the response to the client

  - ### onError

    void onError(Throwable error)
    This method is called when the exception gets propagated to the container
    Parameters:
      `error` - the propagated exception instance

  - ### onDisconnect

    void onDisconnect()
    This method may be called if the container detects that the client has disconnected